Bug 128700 - exim is missing libperl.so
exim is missing libperl.so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 06:59 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 11:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-07-28 06:59:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
When starting exim, it complains about a missing libperl.so

[sun@nausicaa ~ :) 20]$ ldd /usr/sbin/exim
        linux-gate.so.1 =>  (0x00581000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00a47000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x00a7a000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x00c12000)
        libwrap.so.0 => /usr/lib/libwrap.so.0 (0x0097b000)
        libpam.so.0 => /lib/libpam.so.0 (0x00c05000)
        libdl.so.2 => /lib/libdl.so.2 (0x009d1000)
        libdb-4.2.so => /lib/tls/libdb-4.2.so (0x00cb3000)
        libldap-2.2.so.7 => /usr/lib/libldap-2.2.so.7 (0x005ad000)
        liblber-2.2.so.7 => /usr/lib/liblber-2.2.so.7 (0x00ec6000)
        libperl.so => not found
        libm.so.6 => /lib/tls/libm.so.6 (0x00e07000)
        libutil.so.1 => /lib/libutil.so.1 (0x006a4000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x009fa000)
        libc.so.6 => /lib/tls/libc.so.6 (0x0082c000)
        libssl.so.4 => /lib/libssl.so.4 (0x00ad7000)
        libcrypto.so.4 => /lib/libcrypto.so.4 (0x0012a000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00111000)
        libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x00221000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00236000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00b19000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x0024b000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x007cc000)
        libz.so.1 => /usr/lib/libz.so.1 (0x0024e000)

perl is perl-5.8.5-2


Version-Release number of selected component (if applicable):
exim-4.34-3

How reproducible:
Always

Steps to Reproduce:
1. try to start exim
2.
3.
    

Actual Results:  Linker can't find libperl.so

Expected Results:  Normal execution

Additional info:
Comment 1 Thomas Woerner 2004-08-02 11:10:17 EDT
Fixed in rawhide in rpm sendmail-8.13.1-1
Comment 2 Ralf Ertzinger 2004-08-02 11:16:08 EDT
Sorry, but maybe I'm a little on the slow side.

How exactly can a new sendmail package fix a bug between perl and exim?
I don't even have sendmail installed.
Comment 3 Thomas Woerner 2004-08-02 11:19:58 EDT
Sorry.. my fault:

Fixed in rawhide in rpm exim-4.41-1.

Note You need to log in before you can comment on or make changes to this bug.